Page MenuHomeVyOS Platform

Broken reset commands for pptp and l2tp
Closed, ResolvedPublicBUG

Description

vyos@RTR1:~$ reset vpn remote-access all 
Traceback (most recent call last):
  File "/usr/libexec/vyos/op_mode/reset_vpn.py", line 86, in <module>
    main()
  File "/usr/libexec/vyos/op_mode/reset_vpn.py", line 77, in main
    terminate_sessions(username=args.username, interface=args.interface, protocol=args.protocol)
  File "/usr/libexec/vyos/op_mode/reset_vpn.py", line 40, in terminate_sessions
    run(pptp_cmd, stdout=DEVNULL, stderr=DEVNULL)
  File "/usr/lib/python3/dist-packages/vyos/util.py", line 65, in run
    decode=decode,
  File "/usr/lib/python3/dist-packages/vyos/util.py", line 48, in popen
    tmp = p.communicate(input, timeout)[0].strip()
AttributeError: 'NoneType' object has no attribute 'strip'

Details

Difficulty level
Normal (likely a few hours)
Version
1.3-rolling-202004090554
Why the issue appeared?
Will be filled on close
Is it a breaking change?
Unspecified (possibly destroys the router)
Issue type
Bug (incorrect behavior)

Event Timeline

Dmitry changed the task status from Open to In progress.Apr 10 2020, 12:23 PM
Dmitry claimed this task.
Dmitry created this task.
Dmitry updated the task description. (Show Details)
Dmitry changed the task status from In progress to Needs testing.Apr 11 2020, 6:59 AM
erkin set Issue type to Bug (incorrect behavior).Aug 30 2021, 7:14 AM
erkin removed a subscriber: Active contributors.